BoundedComposite (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.composites

## Class BoundedComposite

- java.lang.Object
- - org.apache.cassandra.db.composites.AbstractComposite
  - - org.apache.cassandra.db.composites.BoundedComposite

- All Implemented Interfaces:
    IMeasurableMemory, Composite

      public class BoundedComposite
      extends AbstractComposite

  Wraps another Composite and adds an EOC byte to track whether this is a slice start or end.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.db.composites.Composite

      `Composite.EOC`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Composite` | `copy(CFMetaData cfm, AbstractAllocator allocator)`
    `Composite.EOC` | `eoc()`
    `java.nio.ByteBuffer` | `get(int i)`
    `boolean` | `isStatic()`
    `int` | `size()`
    `java.nio.ByteBuffer` | `toByteBuffer()`
    `long` | `unsharedHeapSize()`
    `Composite` | `withEOC(Composite.EOC eoc)`

    - ### Methods inherited from class org.apache.cassandra.db.composites.AbstractComposite

      `dataSize, end, equals, hashCode, isEmpty, isPrefixOf, slice, start`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### size

          public int size()

    - #### isStatic

          public boolean isStatic()

      Specified by:
        `isStatic` in interface `Composite`
      Overrides:
        `isStatic` in class `AbstractComposite`

    - #### get

          public java.nio.ByteBuffer get(int i)

    - #### eoc

          public Composite.EOC eoc()

      Specified by:
        `eoc` in interface `Composite`
      Overrides:
        `eoc` in class `AbstractComposite`

    - #### withEOC

          public Composite withEOC(Composite.EOC eoc)

      Specified by:
        `withEOC` in interface `Composite`
      Overrides:
        `withEOC` in class `AbstractComposite`

    - #### toByteBuffer

          public java.nio.ByteBuffer toByteBuffer()

      Specified by:
        `toByteBuffer` in interface `Composite`
      Overrides:
        `toByteBuffer` in class `AbstractComposite`

    - #### unsharedHeapSize

          public long unsharedHeapSize()

      Returns:
        the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.

    - #### copy

          public Composite copy(CFMetaData cfm,
                                AbstractAllocator allocator)

Copyright © 2018 The Apache Software Foundation